<?php
session_start();

/**********************************************************************************************/
/*  X-Tools: X-Stats, the most flexible game stats - http://x-tools.insurgent-nighthawks.com  */
/*  ========================================================================================  */
/*                                                                                            */
/*  Copyright (c) 2004-2005 Sascha Rhein. Permission is granted to copy, distribute and/or    */
/*  modify this document under the terms of the GNU Free Documentation License, Version 1.2   */
/*  or any later version published by the Free Software Foundation; with no Invariant         */
/*  Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is         */
/*  included in the section entitled "GNU Free Documentation License"                         */
/*                                                                                            */
/**********************************************************************************************/

require_once("x-stats-config.php");
require_once("x-stats-lib.php");
require_once("x-stats-header.php");

function show($dbprefix, $gid, $stat, $tosort, $reread, $filterguid, $filtermap, $filterweapon, $filtergametype, $filterteam, $filterbodypart, $filterdamage_by, $filtersid, $compareguid) {
	$result = mysql_query("select cobgtbhe, cobgtbod, cobgtbev, statsheader1, statsheader2 from ".$dbprefix."_xstatsconfig LIMIT 1");
	$row = mysql_fetch_assoc($result);
	$cobgtbhe = $row["cobgtbhe"];
	$cobgtbod = $row["cobgtbod"];
	$cobgtbev = $row["cobgtbev"];
	$statsheader1 = $row["statsheader1"];
	$statsheader2 = $row["statsheader2"];

	// Create fitler string for SQL statment to only show available items in filter
	if ($gid != "") {
		if ($filter =="") {
			$filter =  "WHERE game='".$gid."'";
		} else {
			$filter = $filter." AND game='".$gid."'";
		}
	}
	if ($filterguid != "") {
		if ($filter =="") {
			$filter =  "WHERE guid='".$filterguid."'";
		} else {
			$filter = $filter." AND guid='".$filterguid."'";
		}
	}
	if ($filtermap != "") {
		if ($filter =="") {
			$filter =  "WHERE map='".$filtermap."'";
		} else {
			$filter = $filter." AND map='".$filtermap."'";
		}
	}
	if ($filterweapon != "") {
		if ($filter =="") {
			$filter =  "WHERE weapon='".$filterweapon."'";
		} else {
			$filter = $filter." AND weapon='".$filterweapon."'";
		}
	}
	if ($filtergametype != "") {
		if ($filter =="") {
			$filter =  "WHERE gametype='".$filtergametype."'";
		} else {
			$filter = $filter." AND gametype='".$filtergametype."'";
		}
	}
	if ($filterteam != "") {
		if ($filter =="") {
			$filter =  "WHERE team='".$filterteam."'";
		} else {
			$filter = $filter." AND team='".$filterteam."'";
		}
	}
	if ($filterbodypart != "") {
		if ($filter =="") {
			$filter =  "WHERE bodypart='".$filterbodypart."'";
		} else {
			$filter = $filter." AND bodypart='".$filterbodypart."'";
		}
	}
	if ($filterdamage_by != "") {
		if ($filter =="") {
			$filter =  "WHERE damage_by='".$filterdamage_by."'";
		} else {
			$filter = $filter." AND damage_by='".$filterdamage_by."'";
		}
	}
	echo "<a name=\"#top\">&nbsp;</a>";
	echo "<table class=\"content\" width=\"800\"  valign=\"top\" border=\"0\"><tr><td width=\"300\">";
	$result = mysql_query("select * from ".$dbprefix."_xstatsgames WHERE gid = '$gid'");
	$row = mysql_fetch_assoc($result);
	$gamename = $row["game"];
	echo "<div align=\"center\"><span style=\"color:".$cobgtbev."; font-weight:bold; font-size:200%\">".$statsheader1."</span><span style=\"color:".$cobgtbod.";font-weight:bold; font-size:150%\"><br>".$statsheader2."</span><br><br><br></div>";
	echo "<font class=\"option\">Game: </font><font class=\"content\">".$gamename."</font><br>";

	// check if picture packages are applied
	$picfolder="none";
	//PHP-Nuke implementation
	if (($row["gametype"]=="1") AND (file_exists(realpath(".")."/modules/x-stats/pictures/cod"))) { $picfolder = "modules/x-stats/pictures/cod"; }
	if (($row["gametype"]=="2") AND (file_exists(realpath(".")."/modules/x-stats/pictures/cod-uo"))) { $picfolder = "modules/x-stats/pictures/cod-uo"; }
	if (($row["gametype"]=="3") AND (file_exists(realpath(".")."/modules/x-stats/pictures/css"))) { $picfolder = "modules/x-stats/pictures/css"; }
	//non PHP-Nuke implementatin
	if (($row["gametype"]=="1") AND (file_exists("./pictures/cod"))) { $picfolder = "pictures/cod"; }
	if (($row["gametype"]=="2") AND (file_exists("./pictures/cod-uo"))) { $picfolder = "pictures/cod-uo"; }
	if (($row["gametype"]=="3") AND (file_exists("./pictures/css"))) { $picfolder = "pictures/css"; }

/*	$result = mysql_query("select lastupdate from ".$dbprefix."_xstatsservers ORDER BY lastupdate ASC LIMIT 1");
	$row = mysql_fetch_assoc($result);
	$lastupdate = $row["lastupdate"];
	echo "<font class=\"option\">Last updated: </font><font class=\"content\">".$lastupdate."</font><br>";
*/
	// PHP-Nuke integration - 04-11-24
	if (eregi("modules.php", $_SERVER['PHP_SELF'])) {
		echo "<form class=\"form\" method=\"get\" action=\"modules.php\">";
	} else {
		echo "<form class=\"form\" method=\"get\" action=\"index.php\">";
	}
	echo "<br><div  class=\"option\">Choose your stats here:</div>";
	echo "<select name=\"stat\" size=\"1\">";
	echo "<option ";
	if ($stat == "1") { echo "selected ";}
	echo "value =\"1\">Statistics per Player</option>";
	echo "<option ";
	if ($stat == "2") { echo "selected ";}
	echo "value =\"2\">Statistics per Map</option>";
	echo "<option ";
	if ($stat == "3") { echo "selected ";}
	echo "value =\"3\">Statistics per Weapon</option>";
	echo "<option ";
	if ($stat == "4") { echo "selected ";}
	echo "value =\"4\">Statistics per Gametype</option>";
	echo "<option ";
	if ($stat == "5") { echo "selected ";}
	echo "value =\"5\">Kills per Weapon per Bodypart</option>";
	echo "<option ";
	if ($stat == "6") { echo "selected ";}
	echo "value =\"6\">Kills per Bodypart per Damage Type</option>";
	echo "<option ";
	if ($stat == "11") { echo "selected ";}
	echo "value =\"11\">User Statistics</option>";
	echo "</select>";

	echo "<br><br>";
	echo "<input type=\"hidden\" name=\"name\" value=\"x-stats\">";	// PHP-Nuke integration - 04-11-24
	echo "<input type=\"hidden\" name=\"func\" value=\"show\">";
	echo "<input type=\"hidden\" name=\"gid\" value=\"".$gid."\">"
	."<input type=\"hidden\" name=\"reread\" value=\"yes\">"
	."<input type=\"hidden\" name=\"tosort\" value=\"1\">"
	."<input type=\"submit\" value=\"1. Step\">";
	if (eregi("modules.php", $_SERVER['PHP_SELF'])) {
		echo "<br><br><br><br><br><input type=\"button\" name=\"instructions\" value=\"Instructions\" onClick=\"window.open('./modules/x-stats/x-stats-instructions.php', 'Instructions', 'HEIGHT=400,resizable=no, scrollbars=yes,WIDTH=400');return false;\">";
	} else {
		echo "<br><br><br><br><br><input type=\"button\" name=\"instructions\" value=\"Instructions\" onClick=\"window.open('./x-stats-instructions.php', 'Instructions', 'HEIGHT=400,resizable=no, scrollbars=yes,WIDTH=400');return false;\">";
	}
	echo "</td><td>";
	echo "</form>";

	// PHP-Nuke integration - 04-11-24
	if (eregi("modules.php", $_SERVER['PHP_SELF'])) {
		echo "<form class=\"form\" method=\"get\" action=\"modules.php\">";
	} else {
		echo "<form class=\"form\" method=\"get\" action=\"index.php\">";
	}
	echo "<div  class=\"option\">Enable filter:</div><div  class=\"tiny\">(To select another item of the same filter please select \"show all\" first.)</div><table class=\"content\" width=\"100%\"  border=\"0\"><tr><td>";
	echo "Server / Last updated:</td><td><select name=\"filtersid\" size=\"1\">";
	if ($gid =="") {
		$restemp = mysql_query("SELECT server, sid FROM ".$dbprefix."_xstatsservers ORDER BY server");
	} else {
		$restemp = mysql_query("SELECT * FROM ".$dbprefix."_xstatsservers WHERE gid = '$gid' ORDER BY server");
	}
	echo "<option value =\"\">show all</option>";
	while($rtemp = mysql_fetch_assoc($restemp)) {
		echo "<option ";
		if ($filtersid == $rtemp["sid"]) {
			echo "selected ";
		}
		echo "value =\"".$rtemp["sid"]."\">".$rtemp["server"]." / ".$rtemp["lastupdate"]."</option>";
	}
	echo "</select><br></td></tr><tr>";

	echo "</td><td>";

	$userfilter= userfilter($dbprefix, $filtersid,"output"); //get all useridfilters for output
	echo "Player:</td><td><select name=\"filterguid\" size=\"1\">";
	echo "<option value =\"\">show all</option>";
//	$restemp = mysql_query("SELECT guid, server FROM ".$dbprefix."_xstats ".$filter." AND actiontype <>'W' GROUP BY guid ORDER BY guid");      // AND actiontype <>'W' to filter out round start information with empty GUID field
	$restemp = mysql_query("SELECT guid, server FROM ".$dbprefix."_xstats ".$filter." AND game = '".$gid."' AND actiontype <>'W' GROUP BY guid ORDER BY guid");      // AND actiontype <>'W' to filter out round start information with empty GUID field
	while($rtemp = mysql_fetch_assoc($restemp)) {
		//apply useridfilter
		if ($filtersid=="") {
			$ufresult = mysql_query("SELECT filterhandling, filtertype, sid FROM ".$dbprefix."_xstatsservers");
		} else {
			$ufresult = mysql_query("SELECT filterhandling, filtertype, sid FROM ".$dbprefix."_xstatsservers WHERE sid='$filtersid'");
		}
		while ($ufrow = mysql_fetch_assoc($ufresult)) {
			if ($ufrow["filterhandling"] =="1") {
				if ($userfilter[$ufrow["sid"]][0] == "1") { //check if useridfilter is positive
					$i=1;
					$ok=TRUE; //set proceed flag ok because its default for positive list
					while ($userfilter[$ufrow["sid"]][$i] != "") { //run in loop until all userids are read in
						if ($userfilter[$ufrow["sid"]][$i] == $rtemp["guid"]) {
							$ok=FALSE;
						} //set proceed flag to no because user on list
						$i++;
					}
				} elseif ($userfilter[$ufrow["sid"]][0] == "2") {
					$i=1;
					$ok=FALSE; //set proceed flag no because its default for negative list
					while ($userfilter[$ufrow["sid"]][$i] != "") { //run in loop until all userids are read in
						if ($userfilter[$ufrow["sid"]][$i] == $rtemp["guid"]) { $ok=TRUE; } //set proceed flag to ok because user on list
						$i++;
					}
				}
			} else {
				$ok=TRUE;
			}
			if ($ok) {
				$res2temp = mysql_query("SELECT guid, player FROM ".$dbprefix."_xstatsplayers WHERE guid = '".$rtemp["guid"]."'");
				$r2temp = mysql_fetch_assoc($res2temp);
				$plist[$rtemp["guid"]] = username($r2temp["player"], true);
			}
		}
	}

	asort($plist);
	while (list($tguid, $tplayer) = each($plist)) {
		echo "<option ";
		if ($filterguid == $tguid) {
			echo "selected ";
			//Readin player name to be shown in User_Stats header to complement the GuID
			$res3temp = mysql_query("SELECT guid, player FROM ".$dbprefix."_xstatsplayers WHERE guid = '".$tguid."'");
			$r3temp = mysql_fetch_assoc($res3temp);
			$player = username($r3temp["player"], false);
		}
		echo "value =\"".$tguid."\">".$tplayer."</option>";
	}
	echo "</select>";
	echo "<br></td></tr><tr>";

	echo "<td>Map:</td><td><select name=\"filtermap\" size=\"1\">";
	echo "<option value =\"\">show all</option>";
	$restemp = mysql_query("SELECT map FROM ".$dbprefix."_xstats ".$filter." GROUP BY map ORDER BY map");
	while($rtemp = mysql_fetch_assoc($restemp)) {
		echo "<option ";
		if ($filtermap == $rtemp["map"]) { echo "selected ";}
		echo "value =\"".$rtemp["map"]."\">".$rtemp["map"]."</option>";
	}
	echo "</select><br></td></tr><tr>";

	echo "<td>Weapon:</td><td><select name=\"filterweapon\" size=\"1\">";
	echo "<option value =\"\">show all</option>";
	$restemp = mysql_query("SELECT weapon FROM ".$dbprefix."_xstats ".$filter." GROUP BY weapon ORDER BY weapon");
	while($rtemp = mysql_fetch_assoc($restemp)) {
		if ($rtemp["weapon"] != "") {
			echo "<option ";
			if ($filterweapon == $rtemp["weapon"]) { echo "selected ";}
			echo "value =\"".$rtemp["weapon"]."\">".$rtemp["weapon"]."</option>";
		}
	}
	echo "</select><br></td></tr><tr>";

	echo "<td>Gametype:</td><td><select name=\"filtergametype\" size=\"1\">";
	echo "<option value =\"\">show all</option>";
	$restemp = mysql_query("SELECT gametype FROM ".$dbprefix."_xstats ".$filter." GROUP BY gametype ORDER BY gametype");
	while($rtemp = mysql_fetch_assoc($restemp)) {
		if ($rtemp["gametype"] != "") {
			echo "<option ";
			if ($filtergametype == $rtemp["gametype"]) { echo "selected ";}
			echo "value =\"".$rtemp["gametype"]."\">".$rtemp["gametype"]."</option>";
		}
	}
	echo "</select><br></td></tr><tr>";

	echo "<td>Team:</td><td><select name=\"filterteam\" size=\"1\">";
	echo "<option value =\"\">show all</option>";
	$restemp = mysql_query("SELECT team FROM ".$dbprefix."_xstats ".$filter." GROUP BY team ORDER BY team");
	while($rtemp = mysql_fetch_assoc($restemp)) {
		if ($rtemp["team"] != "") {
			echo "<option ";
			if ($filterteam == $rtemp["team"]) { echo "selected ";}
			echo "value =\"".$rtemp["team"]."\">".$rtemp["team"]."</option>";
		}
	}
	echo "</select><br></td></tr><tr>";

	echo "<td>Bodypart:</td><td><select name=\"filterbodypart\" size=\"1\">";
	echo "<option value =\"\">show all</option>";
	$restemp = mysql_query("SELECT bodypart FROM ".$dbprefix."_xstats ".$filter." GROUP BY bodypart ORDER BY bodypart");
	while($rtemp = mysql_fetch_assoc($restemp)) {
		if ($rtemp["bodypart"] != "") {
			echo "<option ";
			if ($filterbodypart == $rtemp["bodypart"]) { echo "selected ";}
			echo "value =\"".$rtemp["bodypart"]."\">".$rtemp["bodypart"]."</option>";
		}
	}
	echo "</select><br></td></tr><tr>";

	echo "<td>Damage Type:</td><td><select name=\"filterdamage_by\" size=\"1\">";
	echo "<option value =\"\">show all</option>";
	$restemp = mysql_query("SELECT damage_by FROM ".$dbprefix."_xstats ".$filter." GROUP BY damage_by ORDER BY damage_by");
	while($rtemp = mysql_fetch_assoc($restemp)) {
		if ($rtemp["damage_by"] != "") {
			echo "<option ";
			if ($filterdamage_by == $rtemp["damage_by"]) { echo "selected ";}
			echo "value =\"".$rtemp["damage_by"]."\">".$rtemp["damage_by"]."</option>";
		}
	}
	echo "</select><br></td></tr><tr>";

	echo "<td><input type=\"hidden\" name=\"func\" value=\"show\">";
	echo "<input type=\"hidden\" name=\"name\" value=\"x-stats\">";	// PHP-Nuke integration - 04-11-24
	echo "<input type=\"hidden\" name=\"gid\" value=\"".$gid."\">"
	."<input type=\"hidden\" name=\"stat\" value=\"".$stat."\">"
	."<input type=\"hidden\" name=\"reread\" value=\"yes\">"
	."<input type=\"hidden\" name=\"tosort\" value=\"1\">"
	."<input type=\"submit\" value=\"2. Step\">"
	."</form>";

	echo "</td></tr></table>";
	echo "</td></tr></table>";

	$filterarray[] = "actiontype <>'W'";  // filter out round start information
	if ($gid != "")             { $filterarray[] = "game='".$gid."'"; }
	if ($filtersid != "")       { $filterarray[] = "server='".$filtersid."'"; }
	if ($filterguid != "")      { $filterarray[] = "guid='".$filterguid."'"; }
	if ($filtermap != "")       { $filterarray[] = "map='".$filtermap."'";}
	if ($filterweapon != "")    { $filterarray[] = "weapon='".$filterweapon."'";}
	if ($filtergametype != "")  { $filterarray[] = "gametype='".$filtergametype."'";}
	if ($filterteam != "")      { $filterarray[] = "team='".$filterteam."'";}
	if ($filterbodypart != "")  { $filterarray[] = "bodypart='".$filterbodypart."'";}
	if ($filterdamage_by != "") { $filterarray[] = "damage_by='".$filterdamage_by."'";}

	$time_start = getmicrotime(); 
	if ($reread == "yes") {
		switch($stat) {
			case "1":
				$over = stats_overview($dbprefix, "Statistics per Player", "guid", "actiontype", $filterarray, $filtersid, $gid);
			break;
			case "2":
				$over = stats_overview($dbprefix, "Statistics per Map", "map", "actiontype", $filterarray, $filtersid, $gid);
			break;
			case "3":
				$over = stats_overview($dbprefix, "Statistics per Weapon", "weapon", "actiontype", $filterarray, $filtersid, $gid);
			break;
			case "4":
				$over = stats_overview($dbprefix, "Statistics per Gametype", "gametype", "actiontype", $filterarray, $filtersid, $gid);
			break;
			case "5":
				$filterarray[] = "actiontype='A'";
				$over = stats_overview($dbprefix, "Kills per Weapon per Bodypart", "weapon", "bodypart", $filterarray, $filtersid, $gid);
			break;
			case "6":
				$filterarray[] = "actiontype='A'";
				$over = stats_overview($dbprefix, "Kills per Bodypart per Damage Type", "bodypart", "damage_by", $filterarray, $filtersid, $gid);
			break;
			case "11":
				if (($filterguid != "") OR ($filtermap != "") OR ($filterweapon != "")) {
					$over = user_stats($dbprefix, $filterarray, $gid);
				}
			break;
		}
	} else {
		$over = unserialize($_SESSION["serover"]);
	}

	if ($stat < 10) {  // show detailed stats with selected headers
		$over = array_csort($over, $tosort, SORT_DESC);
		$_SESSION["serover"] = serialize($over);

		echo "<br><table class=\"content\" border =\"1\">";
		$i=0;
		$ic=-1;
		while ($over[$i][0]!="") {
			if (1&$i) {
				echo "<tr bgcolor=\"".$cobgtbev."\">";
			} else {
				if ($i == 0) {
					echo "<tr bgcolor=\"".$cobgtbhe."\">";
				} else {
					echo "<tr bgcolor=\"".$cobgtbod."\">";
				}
			}
			$j=0;
			settype($mysheader, "array");
			while ($over[0][$j]!="") {
				if ($i == 0 && $j > 0) {
					if ($tosort == $j) {
						// PHP-Nuke integration - 04-11-24
						if (eregi("modules.php", $_SERVER['PHP_SELF'])) {
							echo "<td><a href=\"modules.php?name=x-stats&amp;func=show&amp;gid=$gid&amp;stat=$stat&amp;tosort=$j&amp;reread=no&amp;filterguid=$filterguid&amp;filtermap=$filtermap&amp;filterweapon=$filterweapon&amp;filtergametype=$filtergametype&amp;filterteam=$filterteam&amp;filterbodypart=$filterbodypart&amp;filtersid=$filtersid\">*".$over[$i][$j]."</a></td>";
							$mysheader[$j] = "<td><a href=\"modules.php?name=x-stats&amp;func=show&amp;gid=$gid&amp;stat=$stat&amp;tosort=$j&amp;reread=no&amp;filterguid=$filterguid&amp;filtermap=$filtermap&amp;filterweapon=$filterweapon&amp;filtergametype=$filtergametype&amp;filterteam=$filterteam&amp;filterbodypart=$filterbodypart&amp;filtersid=$filtersid\">*".$over[$i][$j]."</a></td>";
						} else {
							echo "<td><a href=\"index.php?func=show&amp;gid=$gid&amp;stat=$stat&amp;tosort=$j&amp;reread=no&amp;filterguid=$filterguid&amp;filtermap=$filtermap&amp;filterweapon=$filterweapon&amp;filtergametype=$filtergametype&amp;filterteam=$filterteam&amp;filterbodypart=$filterbodypart&amp;filtersid=$filtersid\">*".$over[$i][$j]."</a></td>";
							$mysheader[$j] = "<td><a href=\"index.php?func=show&amp;gid=$gid&amp;stat=$stat&amp;tosort=$j&amp;reread=no&amp;filterguid=$filterguid&amp;filtermap=$filtermap&amp;filterweapon=$filterweapon&amp;filtergametype=$filtergametype&amp;filterteam=$filterteam&amp;filterbodypart=$filterbodypart&amp;filtersid=$filtersid\">*".$over[$i][$j]."</a></td>";
						}
					} else {
						// PHP-Nuke integration - 04-11-24
						if (eregi("modules.php", $_SERVER['PHP_SELF'])) {
							echo "<td><a href=\"modules.php?name=x-stats&amp;func=show&amp;gid=$gid&amp;stat=$stat&amp;tosort=$j&amp;reread=no&amp;filterguid=$filterguid&amp;filtermap=$filtermap&amp;filterweapon=$filterweapon&amp;filtergametype=$filtergametype&amp;filterteam=$filterteam&amp;filterbodypart=$filterbodypart&amp;filtersid=$filtersid\">".$over[$i][$j]."</a></td>";
							$mysheader[$j] = "<td><a href=\"modules.php?name=x-stats&amp;func=show&amp;gid=$gid&amp;stat=$stat&amp;tosort=$j&amp;reread=no&amp;filterguid=$filterguid&amp;filtermap=$filtermap&amp;filterweapon=$filterweapon&amp;filtergametype=$filtergametype&amp;filterteam=$filterteam&amp;filterbodypart=$filterbodypart&amp;filtersid=$filtersid\">".$over[$i][$j]."</a></td>";
						} else {
							echo "<td><a href=\"index.php?func=show&amp;gid=$gid&amp;stat=$stat&amp;tosort=$j&amp;reread=no&amp;filterguid=$filterguid&amp;filtermap=$filtermap&amp;filterweapon=$filterweapon&amp;filtergametype=$filtergametype&amp;filterteam=$filterteam&amp;filterbodypart=$filterbodypart&amp;filtersid=$filtersid\">".$over[$i][$j]."</a></td>";
							$mysheader[$j] = "<td><a href=\"index.php?func=show&amp;gid=$gid&amp;stat=$stat&amp;tosort=$j&amp;reread=no&amp;filterguid=$filterguid&amp;filtermap=$filtermap&amp;filterweapon=$filterweapon&amp;filtergametype=$filtergametype&amp;filterteam=$filterteam&amp;filterbodypart=$filterbodypart&amp;filtersid=$filtersid\">".$over[$i][$j]."</a></td>";
						}
					}
				} elseif ($i == 0 && $j == 0) { 
					echo "<td class=\"option\" align=\"center\">".$over[$i][$j]."</td>";
					$mysheader[0] = "<td class=\"option\" align=\"center\">".$over[$i][$j]."</td>";
				} elseif ($ic==30) {
					echo $mysheader[$j];
				} else {
					if (($i > 0 && $j == 0) and ($stat == "1")) { // link to player stats
						$temp = end(explode("######",$over[$i][$j]));
						// PHP-Nuke integration - 04-11-24
						if (eregi("modules.php", $_SERVER['PHP_SELF'])) {
							echo "<td><a href=\"modules.php?name=x-stats&amp;func=show&amp;gid=$gid&amp;stat=11&amp;reread=yes&amp;tosort=1&amp;filterguid=".$temp."&amp;filterweapon=$filterweapon&amp;filtermap=$filtermap&amp;filtergametype=$filtergametype&amp;filterweapon=$filterweapon&amp;filtergametype=$filtergametype&amp;filterteam=$filterteam&amp;filterbodypart=$filterbodypart&amp;filtersid=$filtersid\">".$i.". ".reset(explode("######",$over[$i][$j]))."</a></td>";
						} else {
							echo "<td><a href=\"index.php?func=show&amp;gid=$gid&amp;stat=11&amp;reread=yes&amp;tosort=1&amp;filterguid=".$temp."&amp;filterweapon=$filterweapon&amp;filtermap=$filtermap&amp;filtergametype=$filtergametype&amp;filterweapon=$filterweapon&amp;filtergametype=$filtergametype&amp;filterteam=$filterteam&amp;filterbodypart=$filterbodypart&amp;filtersid=$filtersid\">".$i.". ".reset(explode("######",$over[$i][$j]))."</a></td>";
						}
					} elseif ((($i > 0 && $j == 0) and ($picfolder != "none")) and (($stat == "2") or ($stat == "3") or ($stat == "4") or ($stat == "5") or ($stat == "6"))) { //display pictures
						if ($over[$i][$j] == "") {
							echo "<td>&nbsp;</td>";
						} else {
							if (file_exists(realpath(".")."/".$picfolder."/".$over[$i][$j].".gif")) {
								echo "<td valign=\"middle\" align=\"right\"><strong>".$over[$i][$j]."<br><img border=\"0\" src=\"".$picfolder."/".$over[$i][$j].".gif\"></strong></td>";
							} else {
								echo "<td valign=\"middle\" align=\"right\"><strong>".$over[$i][$j]."<br><img border=\"0\" src=\"".$picfolder."/no_pic.gif\"></strong></td>";
							}
						}
					} else {
						if ($over[$i][$j] == "") {
							echo "<td>&nbsp;</td>";
						} else {
							echo "<td align=\"right\">".$over[$i][$j]."</td>";
						}
					}
				}
				$j++;
			}
			echo "</tr>";
			if (($ic!=30) or ($i==0)) {
				$i++;
			} elseif ($ic==30) {
				$ic=-1;
			}
			$ic++;
		}
		echo "</table>";
	} else {   // Show detailed user stats
		$_SESSION["serover"] = serialize($over);
		if (($filterguid == "") AND ($filtermap == "") AND ($filterweapon == "")) {
			echo "<div class=\"option\"><br><br>Please apply at least one filter, preferrably a player. Thanks!<br><br></div>";
			$compareguid = "";
			$compareplayer = "";
		} else {
			if (eregi("modules.php", $_SERVER['PHP_SELF'])) {
				echo "<form class=\"form\" method=\"get\" action=\"modules.php\">";
			} else {
				echo "<form class=\"form\" method=\"get\" action=\"index.php\">";
			}
			echo "<br><div class=\"option\">Compare with Player:</div><select name=\"compareguid\" size=\"1\">";
			if ($filtersid =="") {
//				$restemp = mysql_query("SELECT guid FROM ".$dbprefix."_xstats WHERE game = '".$gid."' GROUP BY guid ORDER BY guid");
				$restemp = mysql_query("SELECT guid, server FROM ".$dbprefix."_xstats WHERE game = '".$gid."' AND actiontype <>'W' GROUP BY guid ORDER BY guid");      // AND actiontype <>'W' to filter out round start information with empty GUID field
			} else {
//				$restemp = mysql_query("SELECT guid FROM ".$dbprefix."_xstats WHERE game = '".$gid."' AND server = '$filtersid' GROUP BY guid ORDER BY guid");
				$restemp = mysql_query("SELECT guid, server FROM ".$dbprefix."_xstats ".$filter." AND game = '".$gid."' AND actiontype <>'W' GROUP BY guid ORDER BY guid");      // AND actiontype <>'W' to filter out round start information with empty GUID field
			}
			echo "<option value =\"\">please select player</option>";
			while($rtemp = mysql_fetch_assoc($restemp)) {
				$res2temp = mysql_query("SELECT guid, player FROM ".$dbprefix."_xstatsplayers WHERE guid = '".$rtemp["guid"]."'");
				$r2temp = mysql_fetch_assoc($res2temp);
				$plist[$rtemp["guid"]] = username($r2temp["player"], false);
			}
			asort($plist);
			while (list($tguid, $tplayer) = each($plist)) {
				echo "<option ";
				if ($compareguid == $tguid) {
					echo "selected ";
					$compareplayer = $tplayer;
				}
				echo "value =\"".$tguid."\">".$tplayer."</option>";
			}
			echo "</select><br></td></tr><tr>";
			echo "<td><input type=\"hidden\" name=\"func\" value=\"show\">"
			. "<input type=\"hidden\" name=\"name\" value=\"x-stats\">"	// PHP-Nuke integration - 04-11-24
			."<input type=\"hidden\" name=\"gid\" value=\"".$gid."\">"
			."<input type=\"hidden\" name=\"stat\" value=\"".$stat."\">"
			."<input type=\"hidden\" name=\"reread\" value=\"yes\">"
			."<input type=\"hidden\" name=\"tosort\" value=\"1\">"
			."<input type=\"hidden\" name=\"filterguid\" value=\"".$filterguid."\">"
			."<input type=\"hidden\" name=\"filterweapon\" value=\"".$filterweapon."\">"
			."<input type=\"hidden\" name=\"filtermap\" value=\"".$filtermap."\">"
			."<input type=\"hidden\" name=\"filtergametype\" value=\"".$filtergametype."\">"
			."<input type=\"hidden\" name=\"filterbodypart\" value=\"".$filterbodypart."\">"
			."<input type=\"hidden\" name=\"filtersid\" value=\"".$filtersid."\">"
			."<br><input type=\"submit\" value=\"3. Step\">"
			."</form>";

/*			$rptemp = mysql_query("SELECT description FROM ".$dbprefix."_xstatsat WHERE actiontype='M'");
			$rotemp = mysql_fetch_assoc($rptemp);
			$rp = $rotemp["description"]; */

			// read-in description for actiontypes for output - replace later by language file
			$result = mysql_query("SELECT actiontype, description FROM ".$dbprefix."_xstatsat WHERE available_compare='y' AND game='$gid' ORDER BY orderin");
			while($row = mysql_fetch_assoc($result)) {
				$des[$row["actiontype"]] = $row["description"];
			}

			if ($compareguid !="") {
				$comparefilterarray[] = "guid='".$compareguid."'";
				$compareover = user_stats($dbprefix, $comparefilterarray, $gid);
				$t1arr = array_keys($over);
				$k=0;
				foreach ($t1arr as $t1) {
					$k++;
					if ($k >= "2") {
//						$tempa = explode(" - ",$t1);
						echo "<a href=\"#top\"><div class=\"small\">top of page</div></a>";
					}
					$tet = explode(" - ",$t1);
					if (($over["Total"][$tet[0]] != "") OR ($tet[0] == "Total")) {
						echo "<br><br><br><table class=\"content\" width=\"600\"  border=\"1\">";
						echo "<tr bgcolor=\"".$cobgtbhe."\">";
						if ($k==1) {
							echo "<th class=\"option\" rowspan=\"2\" width=\"200\"><b>Total</b></th>";
							echo "<th colspan=\"2\" width=\"200\">Total</th><th colspan=\"2\" width=\"200\">Per 100 Rounds</th></tr>";
						} else {
							echo "<th class=\"option\" rowspan=\"2\" width=\"200\"><b>".$des[$tet[0]]." - ".$tet[1]."</b></th>";
							echo "<th colspan=\"2\" width=\"200\">Total</th><th colspan=\"2\" width=\"200\">Percentage</th></tr>";
						}
						echo "<td bgcolor=\"".$cobgtbhe."\" width=\"100\"><center>";
						echo $player;
						echo "</center></td><td bgcolor=\"".$cobgtbhe."\" width=\"100\"><center>";
						echo $compareplayer;
						echo "</center></td>";
						echo "<td bgcolor=\"".$cobgtbhe."\" width=\"100\"><center>";
						echo $player;
						echo "</center></td><td bgcolor=\"".$cobgtbhe."\" width=\"100\"><center>";
						echo $compareplayer;
						echo "</center></td></tr>";
						if ($compareover[$t1] !="") {
							$t2arr = array_merge(array_keys($over[$t1]), array_diff(array_keys($compareover[$t1]), array_keys($over[$t1])));
							$i=0;
							foreach ($t2arr as $t2) {
								if (1&$i) {
									echo "<tr bgcolor=\"".$cobgtbev."\">";
								} else {
									echo "<tr bgcolor=\"".$cobgtbod."\">";
								}
								echo "<td>";
								if (($tet[1] != "Player") AND ($tet[0] != "Total") AND ($picfolder !="none")){
									if (file_exists(realpath(".")."/".$picfolder."/".$t2.".gif")) {
										echo "<center><strong>".$t2."<br><img border=\"0\" src=\"".$picfolder."/".$t2.".gif\"></strong></center></td>";
									} else {
										echo "<center><strong>".$t2."<br><img border=\"0\" src=\"".$picfolder."/no_pic.gif\"></strong></center></td>";
									}
								} elseif ($tet[0] == "Total") {
									echo "<strong>".$des[$t2]."<strong>";
								} else {
									echo "<strong>".$t2."<strong>";
								}
								echo "</td>";
								echo "<td><center>";
								if ($over[$t1][$t2] == "") {
									echo "0";
								} else {
									echo $over[$t1][$t2];
								}
								echo "</center></td>";
								echo "<td><center>";
								if ($compareover[$t1][$t2] == "") {
									echo "0";
								} else {
									echo $compareover[$t1][$t2];
								}
								echo "</center></td>";
								echo "<td><center>";
								if ($k==1) {
									if ($over[$t1][$t2] == "") {
										echo "0";
									} else {
//										echo round($over[$t1][$t2]/$over["Total"][$rp]*100,0);
										echo round($over[$t1][$t2]/$over["Total"]["M"]*100,0);
									}
									echo "</center></td>";
									echo "<td><center>";
									if ($compareover[$t1][$t2] == "") {
										echo "0";
									} else {
//										echo round($compareover[$t1][$t2]/$compareover["Total"][$rp]*100,0);
										echo round($compareover[$t1][$t2]/$compareover["Total"]["M"]*100,0);
									}
								} else {
									if ($over[$t1][$t2] == "") {
										echo "0 %";
									} else {
									if ($over["Total"][$tet[0]] != "") {
										echo round(($over[$t1][$t2]/$over["Total"][$tet[0]]*100),1)." %";
									}
									}
									echo "</center></td>";
									echo "<td><center>";
									if ($compareover[$t1][$t2] == "") {
										echo "0 %";
									} else {
									if ($over["Total"][$tet[0]] != "") {
										echo round(($compareover[$t1][$t2]/$compareover["Total"][$tet[0]]*100),1)." %";
									}
									}
								}
								echo "</center></td>";
								echo "</tr>";
								$i++;
							}
							echo "</table>";
						} else {
							echo "</table>";
							echo "<div class=\"content\">Sorry no data to compare with.</div>";
						}
					}
				}
			} else {    // if ($compareguid !="") {
				$t1arr = array_keys($over);
				$k=0;
				foreach ($t1arr as $t1) {
					$tet = explode(" - ",$t1);
					if ($k >= "1") {
						echo "<a href=\"#top\"><div class=\"small\">top of page</div></a>";
					}
					echo "<br><br><br><table class=\"content\" width=\"400\"  border=\"1\">";
					echo "<tr bgcolor=\"".$cobgtbhe."\">";
//					echo "<th class=\"option\" rowspan=\"2\" width=\"200\"><b><center>".$t1."</center></b></th>";
					if ($k==0) {
						echo "<th class=\"option\" rowspan=\"2\" width=\"200\"><b>Total</b></th>";
					} else {
						echo "<th class=\"option\" rowspan=\"2\" width=\"200\"><b>".$des[$tet[0]]." - ".$tet[1]."</b></th>";
					}
					echo "<th colspan=\"3\" width=\"200\"><center>".$player."</center></th></tr>";
					echo "<td bgcolor=\"".$cobgtbhe."\" width=\"100\">";
					echo "<b><center>Total</center></b>";
					if ($k=="0") {
						echo "</td><td bgcolor=\"".$cobgtbhe."\" width=\"100\">";
						echo "<b><center>100 Games</center></b>";
					} else {
						echo "</td><td bgcolor=\"".$cobgtbhe."\" width=\"100\">";
						echo "<b><center>Percentage</center></b>";
					}
					echo "</td></tr>";

					$t2arr = array_keys($over[$t1]);
					$i=0;
					foreach ($t2arr as $t2) {
						if (1&$i) {
							echo "<tr bgcolor=\"".$cobgtbev."\">";
						} else {
							echo "<tr bgcolor=\"".$cobgtbod."\">";
						}
						echo "<td>";
						if (($tet[1] != "Player") AND ($tet[0] != "Total") AND ($picfolder !="none")){
							if (file_exists(realpath(".")."/".$picfolder."/".$t2.".gif")) {
								echo "<center><strong>".$t2."<br><img border=\"0\" src=\"".$picfolder."/".$t2.".gif\"></strong></center></td>";
							} else {
								echo "<center><strong>".$t2."<br><img border=\"0\" src=\"".$picfolder."/no_pic.gif\"></strong></center></td>";
							}
						} elseif ($tet[0] == "Total") {
							echo "<strong>".$des[$t2]."<strong>";
						} else {
							echo "<strong>".$t2."<strong>";
						}
//						echo $t2;
						echo "</td>";
						echo "<td><center>";
						echo $over[$t1][$t2];
						echo "</center></td>";
						if ($k==0) {
							echo "<td><center>";
//							if ($over["Total"][$rp] != 0) {
							if ($over["Total"]["M"] != 0) {
//								echo round($over[$t1][$t2]/$over["Total"][$rp]*100,0);
								echo round($over[$t1][$t2]/$over["Total"]["M"]*100,0);
							} else {
								echo round($over[$t1][$t2]/100*100,0);
							}
							echo "</center></td>";
						} else {
							echo "<td><center>";
							if ($over["Total"][$tet[0]] != "") {
								if ($over["Total"][$tet[0]] != 0) {
									echo round(($over[$t1][$t2]/$over["Total"][$tet[0]]*100),1)." %";
								} else {
									echo round(($over[$t1][$t2]/100*100),1)." %";
								}
							}
							echo "</center></td>";
						}
						echo "</tr>";
						$i++;
					}
					echo "</table>";
					$k++;
				}
			}
		}
	}
	$time_end = getmicrotime(); 
	$time = round($time_end - $time_start,4);
	echo "<center><div class=\"small\"><br>Page created in ".$time." seconds.<br>Statistics provided by <a href=\"http://x-tools.insurgent-nighthawks.com\">X-Tools</a></center></div>";

}









// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@



function starthere($dbprefix) {
	$result = mysql_query("select cobgtbhe, cobgtbod, cobgtbev, statsheader1, statsheader2 from ".$dbprefix."_xstatsconfig LIMIT 1");
	$row = mysql_fetch_assoc($result);
	$cobgtbhe = $row["cobgtbhe"];
	$cobgtbod = $row["cobgtbod"];
	$cobgtbev = $row["cobgtbev"];
	$statsheader1 = $row["statsheader1"];
	$statsheader2 = $row["statsheader2"];

	$result = mysql_query("select gid from ".$dbprefix."_xstatsgames ORDER BY game");
	$i=0;
	while($row = mysql_fetch_assoc($result)) {
		$gid = $row["gid"];
		$i++;
	}

	if ($i >= 2) {
		echo "<div align=\"center\"><span style=\"color:".$cobgtbev."; font-weight:bold; font-size:200%\">".$statsheader1."</span><span style=\"color:".$cobgtbod.";font-weight:bold; font-size:150%\"><br>".$statsheader2."</span><br><br><br></div>";
		echo "<div class=\"option\">Please select a game from the list!<br><br></div>";
		// PHP-Nuke integration - 04-11-24
		if (eregi("modules.php", $_SERVER['PHP_SELF'])) {
			echo "<form class=\"content\" method=\"post\" action=\"modules.php\">";
		} else {
			echo "<form class=\"content\" method=\"post\" action=\"index.php\">";
		}
		$result = mysql_query("select * from ".$dbprefix."_xstatsgames ORDER BY game");

		echo "<div class=\"option\">Select game:</div>";
		echo "<select name=\"gid\" size=\"1\">";
		echo "<option value =\"-1\">Please select</option>";
		while($row = mysql_fetch_assoc($result)) {
			$gid = $row["gid"];
			$game = $row["game"];
			echo "<option value =\"".$gid."\">";
			echo $game."</option>";
		}
		echo "</select>";

		echo "<input type=\"hidden\" name=\"func\" value=\"show\">"
		."<input type=\"hidden\" name=\"name\" value=\"x-stats\">"	// PHP-Nuke integration - 04-11-24
		."<input type=\"hidden\" name=\"server\" value=\"-1\">"
		."<input type=\"hidden\" name=\"stat\" value=\"1\">"
		."<input type=\"hidden\" name=\"tosort\" value=\"1\">"
		."<input type=\"hidden\" name=\"reread\" value=\"yes\">"
		."<input type=\"hidden\" name=\"\" value=\"0\">"
		."&nbsp;<input type=\"submit\" value=\"go\">"
		."</form>";
	} elseif ($i == 1) {
		show($dbprefix, $gid, "1", "1", "yes", "", "", "", "", "", "", "", "", "");
	} elseif ($i == 0) {
		die("<div class=\"content\">No game specified, please specify at least one game in the admin panel.</div>");
	 }
}








// SCRIPT ENTRY POINT @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@



// PHP-Nuke integration - 04-11-21
if (eregi("modules.php", $_SERVER['PHP_SELF'])) {
	// if started from PHP-Nuke - 04-11-21
	$index = 0;
	$module_name = basename(dirname(__FILE__));
	$pagetitle = "Game Server Statistics";
} else {
	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"style.css\">";
}


$func = $_POST["func"];
if (!$func) { $func = $_GET["func"];}

$gid = $_POST["gid"];
if (!$gid) { $gid = $_GET["gid"];}
$stat = $_POST["stat"];
if (!$stat) { $stat = $_GET["stat"];}
$reread = $_POST["reread"];
if (!$reread) { $reread = $_GET["reread"];}
$tosort = $_POST["tosort"];
if (!$tosort) { $tosort = $_GET["tosort"];}
$filterguid = $_POST["filterguid"];
if (!$filterguid) { $filterguid = $_GET["filterguid"];}
$filtermap = $_POST["filtermap"];
if (!$filtermap) { $filtermap = $_GET["filtermap"];}
$filterweapon = $_POST["filterweapon"];
if (!$filterweapon) { $filterweapon = $_GET["filterweapon"];}
$filtergametype = $_POST["filtergametype"];
if (!$filtergametype) { $filtergametype = $_GET["filtergametype"];}
$filterteam = $_POST["filterteam"];
if (!$filterteam) { $filterteam = $_GET["filterteam"];}
$filterbodypart = $_POST["filterbodypart"];
if (!$filterbodypart) { $filterbodypart = $_GET["filterbodypart"];}
$filterdamage_by = $_POST["filterdamage_by"];
if (!$filterdamage_by) { $filterdamage_by = $_GET["filterdamage_by"];}
$filtersid = $_POST["filtersid"];
if (!$filtersid) { $filtersid = $_GET["filtersid"];}

$compareguid = $_POST["compareguid"];
if (!$compareguid) { $compareguid = $_GET["compareguid"];}



// PHP-Nuke integration - 04-11-21
if (eregi("modules.php", $_SERVER['PHP_SELF'])) {
	include ("header.php");
	opentable();
	echo "<table><tr><td>";
}



switch($func) {

	case "show":
		show($dbprefix, $gid, $stat, $tosort, $reread, $filterguid, $filtermap, $filterweapon, $filtergametype, $filterteam, $filterbodypart, $filterdamage_by, $filtersid, $compareguid);
	break;

	default:
		starthere($dbprefix);
	break;

}

// PHP-Nuke integration - 04-11-21
echo "</td></tr></table>";
if (eregi("modules.php", $_SERVER['PHP_SELF'])) {
	closetable();
	include ("footer.php");
}

?>
